iwl3945 | iwl4965: Wireless can't be activated after disabling kill switch

Reported by Christian Schürer-Waldheim on 2008-02-21
436
This bug affects 48 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
Mandriva
Unknown
Medium
hal (Ubuntu)
Medium
Unassigned
Nominated for Hardy by lemmy
Nominated for Karmic by Michael Doube
Intrepid
Medium
Unassigned
Jaunty
Medium
Unassigned
linux (Ubuntu)
Medium
Andy Whitcroft
Nominated for Hardy by lemmy
Nominated for Karmic by Michael Doube
Intrepid
Medium
Andy Whitcroft
Jaunty
Medium
Andy Whitcroft
linux-backports-modules-2.6.24 (Ubuntu)
Medium
Unassigned
Nominated for Hardy by lemmy
Nominated for Karmic by Michael Doube
Intrepid
Medium
Unassigned
Jaunty
Medium
Unassigned
linux-ubuntu-modules-2.6.24 (Baltix)
Undecided
Unassigned
linux-ubuntu-modules-2.6.24 (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by lemmy
Nominated for Karmic by Michael Doube
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned

Bug Description

Normally, the wifi kill switch of my Dell D620 is enabled because I don't need wifi often. If the system was booted with an enabled kill switch, then I can't reactive the wireless interface any more. Only a reboot with deactivated kill switch enables the interface again.

       description: Wireless interface
       product: PRO/Wireless 3945ABG Network Connection
       vendor: Intel Corporation
       driver = iwl3945

This problem didn't occur on gutsy (which the closed source driver).

iwl4965 suffers from the same defect.

----
WORKAROUND 1:

When killswitch is enabled (wifi off) nm-applet will disable the "[] enable wireless" menu entry.
After turning killswitch off (wifi on), the wifi status led is still off, and no access points are shown in network manager.
Right-clicking on nm-applet, you should see that the "[x] enable wireless" menu entry is now activated.
Disable it and then enable it again. This should bring up the status led and after some seconds all available networks.
No need to modprobe/rmmod in a terminal.

WORKAROUND 2 (If no #1 doesn't cut it for you):
for iwl3945:
]$ sudo rmmod iwl3945; sudo modprobe iwl3945
for iwl4965:
]$ sudo rmmod iwl4965; sudo modprobe iwl4965

===

SRU Justification

Justification: disabling rfkill at boot prevents later use of wireless network

Impact: disabling wireless say for use on a plane then prevents later use of the wireless network without removing and readding the wireless driver

Fix Description: pull back of an Intel fix for the driver which enabled polling of the rfkill state

Patch: http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-intrepid.git;a=commit;h=19b287c47ba5939a181e6325ad5fb79024874914

Risks: this is a driver specific change and has been tested by a number of affected users

TEST CASE: boot with rfkill switch off later re-enable it

Mary Gardiner (puzzlement) wrote :

I confirm this bug as occuring on my machine, also using iwl3945. It also occurs when resuming from suspend, and a full reboot is still required to fix. I have not tested resume from disk. I will attach the system details in a moment.

Changed in linux-ubuntu-modules-2.6.24:
status: New → Confirmed

$ uname -a
Linux gertrude 2.6.24-11-generic #1 SMP Fri Feb 29 22:08:31 UTC 2008 i686 GNU/Linux

Mary Gardiner (puzzlement) wrote :
Mary Gardiner (puzzlement) wrote :

In this log, all events after [ 30.333148] are where I turned the wireless switch to 'on', which did not give me a usable wireless interface, but which does seem to have caused something to happen.

Mary, could you try the network-manager 0.7, which is in the PPA of Alexander Sack?

deb http://ppa.launchpad.net/asac/ubuntu hardy main

Either it's because of this version of network-manager or because of the latest kernel update, but today switching on wireless worked without the need of an reboot.

I don't know what you mean by latest kernel update, probably best to specify versions for clarity. I have linux-image-2.6.24-11-generic package 2.6.24-11.17, which seems to be the latest and which still has this bug. I will test the new network manager now.

Christian I tried network-manager 0.7 and it doesn't work. It gave me this error:

wax@doralice:~$ nm-applet
nm-applet: symbol lookup error: nm-applet: undefined symbol: dbus_method_dispatcher_new

And it wont start.

> Mary, could you try the network-manager 0.7, which is in the PPA of Alexander Sack?
>
> deb http://ppa.launchpad.net/asac/ubuntu hardy main

Neither the latest kernel version (supplied in the last comment) nor using this version of network-manager 0.7~~svn20080121t191418+eni1-0ubuntu0~pre7 (and associated upgrades to wpasupplicant 0.6.1~git20071119-1ubuntu1~asac1 plus several libraries) made wireless work for me if it was turned off at boot. It still does not work until I do a second boot with wireless switched on.

If people want me to do more testing, please let me know whether I should test against the PPA network-manager or the Hardy version. I can only test about once every 24 hours, as tests involve rebooting my machine at least twice.

I did some further testing to find out why it worked for me yesterday.

I could find out that wireless will work if you just restart hal (sudo /etc/init.d/hal restart) after you've disabled the kill switch. You can enable/disable the kill switch then without restarting hal every time. I didn't check if it would be enough to restart hal right after booting (without disabling the kill switch first), but I will try this later.

If a restart of hal solves this problem, then I think hal is started to early - or hal is missing some initialisation for the wireless network. I will assign hal to this bug to clarify this issue.

I have to mention that I'm using the hal package provided by Martin Pitts PPA

   deb http://ppa.launchpad.net/pitti/ubuntu hardy main

because of this fix:

  * Add debian/patches/05_fix_dell_brightness.patch: Fix Dell brightness
    backend. (LP: #191725)

Don't know if this hal makes any difference.

Current version of hal:
0.5.10+git20080301-1ubuntu1

Current behaviour:
 - if starting system with killswitch on, no wireless networks are found until after /etc/init.d/hal restart

 - if I turn the killswitch off and immediately (say 2 to 4 seconds at most) turn it back on, everything is fine. "iwlist scan" shows no interfaces during the off period, but sees them again when switched back on

 - if I turn the killswitch off and wait until Network Manager notices that there's no network available (about 20 or 30 seconds), Network Manager stupidly tries to re-associate with the access point, eventually asks for its WPA key and continues showing wireless networks available in its drop-down list. This may be a separate bug in NM, I'll recheck that behaviour when this one is fixed. "iwlist scan" does not show any interfaces even when the switch is turned back on. "sudo /etc/init.d/hal restart" does not seem to help after the switch has been off this long either, I have no alternative but to reboot my machine.

 - if I turn the killswitch off, suspend to RAM, resume, "iwlist scan" shows no interfaces. Again, "sudo /etc/init.d/hal restart" does not help

Federico, you reported this problem as well - which wireless card do you have? Mary and I have the Intel Corporation PRO/Wireless 3945ABG (driver=iwl3945). Maybe this problem is related to the driver? It's still unclear to me whether the driver or hal or some other software is causing this problem.

Changed in hal:
status: New → Confirmed
Changed in linux-meta:
status: New → Confirmed
Federico Foschini (undicizeri) wrote :

I have a Intel Corporation PRO/Wireless 3945ABG like you :P. I think the problem is in the driver because with ipw3945 (the proprietary driver) I don't have this problem :P

Micon Frink (frink) wrote :

The problem is definitely in the driver. It has to do with the way that initialization happens. It only polls for the device if it's turned on. Needs to be rewritten to allow proper detection. This bug will need to be dealt with upstream rather than in Ubuntu.

archdrone (archdrone) wrote :

same here. `modprobe -r iwl3945 && modprobe iwl3945` is a workaround but sometimes modprobe -r hangs while cpu on 100%

Sasquatch (sasquatch) wrote :

I have both the latest kernel (2.6.24-12-generic) and an older one (2.6.24-5-generic) and also the Gutsy kernel (as I just loaded the Hardy kernel on Gutsy). This problem does not happen on the 2.6.24-5 kernel. That uses the 1.1.17 module. I updated the module on the 2.6.24-12 to 1.2.26k from http://www.linuxwireless.org/en/users/Download as 1.2.0 didn't work for me, and I have this problem with it. It would appear it's something that changed in the kernel. I have the same driver set up for the Gutsy kernel, I will try and see if it happens there too. If it doesn't, then it's not a driver issue. I did notice that when the wifi is turned off, my wavelan panel says the device is there, while if the problem isn't happening (that is, on the other kernel and driver) it says the interface is not available. When I turn the wifi on, the panel will see the wifi interface.

I will report back here with the findings in the Gutsy kernel.

Sasquatch (sasquatch) wrote :

I've done some testing. I rebooted every time with the switch turned on (wifi off, kill switch on). Every time the network was shown disabled. When I did a sudo ifup wlan, the interface came back on. As long as the switch was on, the network was on DISABLED state shown on lshw -C network. When I turned the switch off (wifi on), the status didn't change. As I brought the interface up, the status changed in lshw. This was the case in both the Gutsy kernel, as well in the Hardy kernel. If there haven't been any changes to hal from 2.6.24-5 to 2.6.24-12, then the problem lies with the driver. Module 1.1.17 doesn't have any problem and it also shows my wavelan panel with the proper info. Kill switch on, no such device, switch off, device is seen and starts functioning.

I hope this info helps with solving this bug.

gallir (gallir-gmail) wrote :

I'm suffering this problem but just with kernel 2.6.24-14-generic. It worked fine until 2.6.24-12 (included).

My laptop is a x61s, with 3945ABG.

gallir (gallir-gmail) wrote :

Answering to myself in https://bugs.launchpad.net/ubuntu/+source/linux-ubuntu-modules-2.6.24/+bug/193970/comments/19.

Forget it, it's ridiculous, the hardware wifi switch was off and the driver does the right thing: disables the device.

Dale (quail-linux) wrote :

I have install Linux backport modules to get the LED working on my laptop again. The problem now is the switch to turn the wireless on / off is borked, I can turn the wireless off and the LED turns off too, but the wireless does not turn back on again operating the switch.

Laptop:
Acer Aspire 5601AWLMi

Wireless / Driver:
Intel 3945ABG / iwl3945

uname -a
Linux quails-laptop 2.6.24-15-generic #1 SMP Fri Apr 4 03:48:31 UTC 2008 i686 GNU/Linux

Brian Murray (brian-murray) wrote :

I've tested the iwl3945 from both the linux-backports-modules package and the linux-ubuntu-modules package. I've discovered that turning the kill switch from on (wireless disabled) to off (wireless enabled) does not reactivate the driver when using iwl3945 version 1.2.25 from linux-backports-modules. This does work with iwl3945 driver version 1.2.20 from linux-ubuntu-modules. This happens whether the kill switch is enabled when booting or disabled when booting and then enabled later.

Other users having this bug report can verify the version of the driver they are using via 'modinfo iwl3945' or 'apt-cache policy linux-backports-modules-hardy-generic'.

It is possible to workaround this bug by reloading the driver via 'rmmod iwl3945' and 'modprobe iwl3945'.

Changed in linux-backports-modules-2.6.24:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged

I've got the same problem with iwl4965:

kern.log:
Wireless -----> OFF
Apr 21 14:42:52 doris kernel: [ 3333.128890] ACPI: PCI interrupt for device 0000:06:00.0 disabled
Apr 21 14:42:52 doris kernel: [ 3333.151940] ACPI: PCI Interrupt 0000:06:00.0[A] -> GSI 17 (level, low) -> IRQ 17
Apr 21 14:42:52 doris kernel: [ 3333.152039] PM: Writing back config space on device 0000:06:00.0 at offset 1 (was 100002, writing 100006)
Apr 21 14:42:52 doris kernel: [ 3333.155181] iwl4965: Radio disabled by HW RF Kill switch
Apr 21 14:42:52 doris kernel: [ 3333.155272] ACPI: PCI interrupt for device 0000:06:00.0 disabled

Wireless -----> ON
Apr 21 14:43:21 doris kernel: [ 3340.707235] usb 5-1: new full speed USB device using uhci_hcd and address 3
Apr 21 14:43:21 doris kernel: [ 3340.753428] usb 5-1: configuration #1 chosen from 1 choice
Apr 21 14:43:21 doris kernel: [ 3340.857370] Bluetooth: HCI USB driver ver 2.9
Apr 21 14:43:21 doris kernel: [ 3340.860066] usbcore: registered new interface driver hci_usb
(stops here)

:~$ sudo rmmod iwl4965; sudo modprobe iwl4965
Apr 21 14:43:57 doris kernel: [ 3349.009748] iwl4965: Intel(R) Wireless WiFi Link 4965AGN driver for Linux, 1.2.25
Apr 21 14:43:57 doris kernel: [ 3349.009753] iwl4965: Copyright(c) 2003-2007 Intel Corporation
Apr 21 14:43:57 doris kernel: [ 3349.009857] ACPI: PCI Interrupt 0000:06:00.0[A] -> GSI 17 (level, low) -> IRQ 17
Apr 21 14:43:57 doris kernel: [ 3349.009869] PCI: Setting latency timer of device 0000:06:00.0 to 64
Apr 21 14:43:57 doris kernel: [ 3349.010648] iwl4965: Detected Intel Wireless WiFi Link 4965AGN
Apr 21 14:43:57 doris kernel: [ 3349.050680] wmaster0: Selected rate control algorithm 'iwl-4965-rs'
Apr 21 14:43:57 doris kernel: [ 3349.066323] ACPI: PCI Interrupt 0000:06:00.0[A] -> GSI 17 (level, low) -> IRQ 17
Apr 21 14:43:57 doris kernel: [ 3349.206484] iwl4965: Tunable channels: 11 802.11bg, 13 802.11a channels

description: updated
dei (cephos) wrote :

have a similar problem: my kill-switch is working, i see and can connect to my wireless-network, recieve an ip-address from the dcp server but haven't any connection to any other host... (everything was working with ipw3945) please turn that back on in hardy kernel!!

Same as Dale :
- LED working (no blinking)
- Can turn off once but cannot turn back on (Had to boot on Gutsy liveCd to put it back on!)

Laptop:
Acer Aspire 5601AWLMi

Wireless / Driver:
Intel 3945ABG / iwl3945, version 1.2.25 (package linux-backports-modules-hardy-generic)

uname -a
Linux mathieu-laptop 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux

taj (othertaj) wrote :

Same here. I once pushed the kill switch and cannot connect via wireless at all anymore, not even after a reboot. I would say that this bug deserves more than medium status, because it keeps on blocking wireless network connection.

output /var/log/messages when I switch the Radio Frequency Kill Switch on (i.e. radio connection and blue lamp go off)
May 1 12:07:25 laptop kernel: [ 431.665939] iwl3945: Radio Frequency Kill Switch is On:
May 1 12:07:25 laptop kernel: [ 431.665945] Kill switch must be turned off for wireless networking to work.
May 1 12:07:25 laptop kernel: [ 431.806569] usb 5-1.1: USB disconnect, address 3

... and off (blue lamp goes on)
May 1 12:07:31 laptop kernel: [ 438.218646] usb 5-1.1: new full speed USB device using ehci_hcd and address 5
May 1 12:07:31 laptop kernel: [ 438.336767] usb 5-1.1: configuration #1 chosen from 1 choice
May 1 12:07:35 laptop kernel: [ 441.618229] ADDRCONF(NETDEV_UP): eth1: link is not ready
May 1 12:07:37 laptop dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason

taj (othertaj) wrote :

I noticed that /etc/modprobe.d/ipw3945 still existed after upgrade from gutsy to hardy, while now the driver should be iwl3945 (ipw3945 is obsolete). I renamed the file to /etc/modprobe.d/ipw3945_old and rebooted. After manually selecting the wireless AP, it connected after a minute or so.

So, one of the problems for gutsy->hardy upgraders may be that 2 drivers for 3945 are present. This may be a clue.
BTW, I still get the "dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.reason" error.

I guess that there must be a more elegant way to get it right, so I will keep an eye on this

Linard Verstraete (linardv) wrote :

*** Platform ***
Xubuntu Hardy
Dell Vostro 1500
Intel PRO/Wireless 3945ABG Network Connection

*** Reproduction ***
I'm not capable of reproducing this bug.

*** Testing I have done ***
1. Booted Xubuntu Hardy with kill switch on (so no wireless)
2. After logging in: kill switch off (so wireless)
3. Succesfully made wireless connection and surfed on the internet
4. During the same session turning the kill switch on (so no wireless)
5. Xubuntu tries to (re-)join wireless network, but failes (it should fail since the kill switch is on ;) )
6. Waited till Xubuntu says "No network connection", turning the kill switch off (so wireless)
7. Succesfully made wireless connection
8. Posting this comment :p

*** All packages that are installed and begin with "linux-" ***
See attached file.
I have no linux-backports-modules-2.6.24 installed.

If anyone requires more info, just ask, I'm subscribed ;)

Ben (pumrum) wrote :

>*** Platform ***
>Xubuntu Hardy
>Dell Vostro 1500

I believe the 3945 problems with Hardy are related to the network-manager applet in gnome, so it would make sense that things would work in Xubuntu.

@Ben:
Without nm-applet running, I have exactly the same behaviour.
With backport modules, I can disable once, but can't turn back on.

Linard Verstraete (linardv) wrote :

@Ben: I had been running nm-applet 0.6.6 (http://www.gnome.org/projects/NetworkManager/) during the tests. I presume that's the same as the "network-manager applet in gnome"?

Aram Yegenian (aramyegenian) wrote :

Hi,

I have a Thinkpad R60 with the iwl3945 driver running Hardy Heron and when I disable the kill switch I don't get wireless back on, but I can get it back on if i run "ifconfig wlan0 up" manually.

But instead of manually running ifconfig each time, I used acpi events to switch it back on using the howto here:
http://www.thinkwiki.org/wiki/How_to_configure_acpid
I created a new file "/etc/acpi/events/thinkpad-iwl3945" and added the following event:
event=ibm/hotkey HKEY 00000080 00007000
action=/etc/acpi/thinkpad-iwl3945.sh
and the script "/etc/acpi/thinkpad-iwl3945.sh" has the following:
#!/bin/bash
/sbin/ifconfig wlan0 up

and that did it for me, hope that helps :)

Pihhan (pihhan) wrote :

I can confirm that it does not reenable device on vanilla 2.6.25 on hardy. All it needs is manual device activation of wlan0 device, just like Aram Yegenian wrote before me. Little problem is that my Sony Vaio reports wifi switch always same hotkey, when switched to off and also to on. But it does not break things for me to try it always, with rf_kill on it does refuse going up.

Sending my script, a bit more complex then ifconfig (not sure it is better). You need to map wifi switch to that event, like in previous post.

Linard Verstraete (linardv) wrote :

@Pihhan: So if I understand correctly: If you install hardy with the 2.6.24 kernel without adding anything (like mine), there is no problem. But if you install hardy with 2.6.25 you do have the problem? So we are speaking of regression from the 2.6.24 to the 2.6.25?

Pihhan (pihhan) wrote :

Yes, it seems newer driver does work different way. In 2.6.24-16-generic kernel i have iwl4965 driver 1.2.0, which work it seems same way as in gutsy. On wifi off, nm gets information and remove device. On activation it does not need acpi event to reactivate, and it goes up itself. Ifconfig still report it as UP, even when rf_kill switch is on (value 2 in /sys/class/net/wlan0/device/rf_kill).

In 2.6.25 it does deactivate device on kill switch on, and even disable interrupt for wifi card. Card is down even after wifi is enabled by kill switch, you need to wake it up again. I have iwlwifi driver 1.2.23kds there, i think it is new behaviour of that driver. So yes, that might be propably because of newer kernel.

Pihhan (pihhan) wrote :

Maybe important information is, i dont have installed linux-backports-modules-2.6.24-16-generic, so i have original hardy iwlwifi driver.

After reseting BIOS to defaults iwl3945 Wireless can be activated with switch.
I also tried to install linux-backports-modules-2.6.24-17-generic, but after uninstalling them Wireless switch still works without problem, so, I'm not sure if linux-backports-modules-2.6.24-17-generic fixed some things or not :-/

Also I've noticed http://rfswitch.sourceforge.net project (deb packages are available at http://www.mirrorservice.org/sites/sidux.com/sidux/debian/pool/main/r/rfswitch/ and http://www.parsix.org/packages/pool/main/r/rfswitch/ ), according to http://www.intellinuxwireless.org/bugzilla/show_bug.cgi?id=1454 rfswitch should help to turn off kill switch

Ronald Chan (loloski) wrote :

I'm suffering the same fate :)

Technical Specs

Ubuntu Hardy Heron

Kernel Linux 2.6.24-18-generic

venus@venus:~$ dpkg --list | grep network-manager

ii network-manager 0.6.6-0ubuntu5 network management framework daemon
ii network-manager-gnome 0.6.6-0ubuntu3 network management framework

venus@venus:~$ dpkg --list | grep backport

ii linux-backports-modules-hardy 2.6.24.18.20 Generic Linux backported drivers.
ii linux-backports-modules-hardy-generic 2.6.24.18.20 Backported drivers for generic kernel image

Wifi Card

Intel 3945/a/b/g dmesg output

[ 32.549503] iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux, 1.2.25
[ 32.549507] iwl3945: Copyright(c) 2003-2007 Intel Corporation
[ 32.549652] iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
[ 32.717829] wmaster0: Selected rate control algorithm 'iwl-3945-rs'
[ 48.165537] iwl3945: Tunable channels: 13 802.11bg, 23 802.11a channels

Loaded modules

iwl3945 93940 0
iwlwifi_mac80211 219108 1 iwl3945
cfg80211 15112 1 iwlwifi_mac80211
sky2 47492 0
serio_raw 7940 0
led_class 6020 2 acer_acpi,iwl3945

Reproducible -> anytime

acetona (josem-seren) wrote :

Hi,

I have found same information that can be interesting to solve this problem:

http://ipw3945.sourceforge.net/INSTALL

In section 6 you can read that:

6. KERNEL REQUIREMENTS - 2.6.13+chance
-----------------------------------------------

The Intel PRO/Wireless 3945ABG Network Connection driver for Linux is
currently maintained only for 2.6.13+ versions of the Linux kernel,
but may work in older versions. We try (when possible) to provide
backward compatibility patches to the driver to keep it working for as
long as possible with legacy kernels.

So bad news for us...

There is the last chance for us in section 7, I have no time to try to reconfigure the kernel, if someone have time and want to try, he is more than welcome to share his experience!!

I hope this information can be useful!!

ClaudioRJ (cmirandarj) wrote :
Download full text (3.2 KiB)

Hi!

Same thing happening to me:

>lshal

udi = '/org/freedesktop/Hal/devices/pci_8086_4222'
  info.linux.driver = 'iwl3945' (string)
  info.parent = '/org/freedesktop/Hal/devices/pci_8086_27d0' (string)
  info.product = 'PRO/Wireless 3945ABG Network Connection' (string)
  info.subsystem = 'pci' (string)
  info.udi = '/org/freedesktop/Hal/devices/pci_8086_4222' (string)
  info.vendor = 'Intel Corporation' (string)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'pci' (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0' (string)
  pci.device_class = 2 (0x2) (int)
  pci.device_protocol = 0 (0x0) (int)
  pci.device_subclass = 128 (0x80) (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0' (string)
  pci.product = 'PRO/Wireless 3945ABG Network Connection' (string)
  pci.product_id = 16930 (0x4222) (int)
  pci.subsys_product = 'PRO/Wireless 3945ABG Network Connection' (string)
  pci.subsys_product_id = 4096 (0x1000) (int)
  pci.subsys_vendor = 'Intel Corporation' (string)
  pci.subsys_vendor_id = 32902 (0x8086) (int)
  pci.vendor = 'Intel Corporation' (string)
  pci.vendor_id = 32902 (0x8086) (int)

>lspci

02:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)

> dmesg | grep iwl
[ 43.692435] iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux, 1.2.0
[ 43.692443] iwl3945: Copyright(c) 2003-2007 Intel Corporation
[ 43.692684] iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
[ 47.498383] iwl3945: Tunable channels: 11 802.11bg, 13 802.11a channels
[ 47.499146] wmaster0: Selected rate control algorithm 'iwl-3945-rs'

> iwlist scan
lo Interface doesn't support scanning.

eth0 Interface doesn't support scanning.

wmaster0 Interface doesn't support scanning.

wlan0 No scan results

> modinfo iwl3945
filename: /lib/modules/2.6.24-19-generic/ubuntu/wireless/iwlwifi/iwlwifi/compatible/iwl3945.ko
license: GPL
author: Copyright(c) 2003-2007 Intel Corporation
version: 1.2.0
description: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux
srcversion: 8E95C617988943846696F97
alias: pci:v00008086d00004227sv*sd*bc*sc*i*
alias: pci:v00008086d00004222sv*sd*bc*sc*i*
depends: iwlwifi_mac80211
vermagic: 2.6.24-19-generic SMP mod_unload 586
parm: antenna:select antenna (1=Main, 2=Aux, default 0 [both]) (int)
parm: disable:manually disable the radio (default 0 [radio on]) (int)
parm: hwcrypto:using hardware crypto engine (default 0 [software]) (int)
parm: debug:debug output mask (int)
parm: disable_hw_scan:disable hardware scanning (default 0) (int)
parm: queues_num:number of hw queues. (int)
parm: qos_enable:enable all QoS functionality (int)

The nm-applet does not show any AP, and there's 7 around here...

I'm newbee in Linux and read all things here. But I don't know how to fix this.

If I ask for connect to another wireless net (left click over nm-applet as it shows no option under wireless network), I can type...

Read more...

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Confirmed → Triaged
description: updated
Steve Langasek (vorlon) on 2008-10-15
Changed in linux-backports-modules-2.6.24:
status: Triaged → Invalid
Changed in linux-ubuntu-modules-2.6.24:
status: Confirmed → Invalid
Changed in hal:
importance: Undecided → Medium
Steve Langasek (vorlon) on 2008-10-16
Changed in hal:
status: Confirmed → Invalid
Pete Graner (pgraner) on 2008-10-23
Changed in linux:
assignee: ubuntu-kernel-team → timg-tpi
milestone: none → intrepid-updates
Steve Langasek (vorlon) on 2008-10-28
Changed in ubuntu-release-notes:
status: New → Fix Released
Motin (motin) on 2008-11-10
description: updated
description: updated
Andy Whitcroft (apw) on 2008-11-13
Changed in linux:
assignee: timg-tpi → apw
Andy Whitcroft (apw) on 2008-11-14
Changed in linux:
status: Triaged → In Progress
Tim Gardner (timg-tpi) on 2008-11-14
Changed in linux:
assignee: apw → timg-tpi
status: In Progress → Fix Committed
Martin Pitt (pitti) on 2008-11-21
Changed in linux:
milestone: intrepid-updates → none
Andy Whitcroft (apw) on 2008-11-21
Changed in linux:
assignee: timg-tpi → apw
status: Triaged → In Progress
Andy Whitcroft (apw) on 2008-11-25
Changed in linux:
status: In Progress → Fix Committed
milestone: none → jaunty-alpha-2
Andreas Gnau (rondom) on 2008-12-02
Changed in linux:
status: Fix Committed → Confirmed
Telorn (telorn) on 2008-12-02
Changed in linux:
status: Fix Committed → Confirmed
Andy Whitcroft (apw) on 2008-12-03
Changed in linux:
assignee: timg-tpi → apw
status: Confirmed → In Progress
status: Confirmed → In Progress
Andy Whitcroft (apw) on 2009-01-26
Changed in linux:
status: In Progress → Won't Fix
status: In Progress → Fix Released
Steve Langasek (vorlon) on 2009-02-02
Changed in linux:
milestone: jaunty-alpha-2 → jaunty-alpha-5
status: Fix Released → Triaged
Tim Gardner (timg-tpi) on 2009-02-17
Changed in linux:
assignee: apw → timg-tpi
status: Triaged → Fix Committed
Changed in linux:
status: Fix Committed → Fix Released
Telorn (telorn) on 2009-03-01
Changed in linux:
status: Fix Released → Confirmed
Telorn (telorn) on 2009-03-01
Changed in ubuntu-release-notes:
status: Fix Released → Confirmed
Steve Langasek (vorlon) on 2009-03-01
Changed in ubuntu-release-notes:
status: Confirmed → Fix Released
103 comments hidden view all 183 comments
Whoopie (whoopie79) wrote :

Works perfectly now on my Fujitsu-Siemens Amilo Pi 1536 laptop. Thanks a lot!!!

Tom Vetterlein (smbm) wrote :

Works here too, Lenovo R61. Cheers. Will this make it into Jaunty?

Andy Whitcroft (apw) wrote :

@Whoopie -- did you test intrepid or jaunty kernels there?

@Tom Vetterlein -- I believe you are on Jaunty? Correct?

Could anyone else who tests please report the version you tested against.

Tom Vetterlein (smbm) wrote :

I am on Jaunty yes. Sorry for omitting that.

Thanks again.

Andy Whitcroft (apw) on 2009-03-06
Changed in linux:
assignee: timg-tpi → apw
status: Confirmed → In Progress
Telorn (telorn) wrote :

Andy, it works for me on Acer 6292 with Jaunty with all updates!!! Thanks a lot!!!!

Andy Whitcroft (apw) wrote :

Based on the positive feedback for Jaunty I have commited this change there, and it should make the next kernel upload and the next Alpha.

Changed in linux:
status: In Progress → Fix Committed
status: Won't Fix → In Progress
Alberto Magana (albertoxm) wrote :

Same Here, worked with Intrepid x86 on Thinkpad R60, thanks Andy

Elvis Stansvik (elvstone) wrote :

Yea, works for me too (Intrepid) on my Fujitsu Siemens Amilo Si1520 with iwl3945. Great work Andy.

Whoopie (whoopie79) wrote :

@Andy: Sorry, I tested under Intrepid.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.28-9.29

---------------
linux (2.6.28-9.29) jaunty; urgency=low

  [ Andy Whitcroft ]

  * link-headers -- only link directories which do not already exist
    - LP: #315252

  [ Daniel Marjamäki ]

  * SAUCE: (drop after 2.6.28) netxen: fix memory leak in
    drivers/net/netxen_nic_init.c
    - LP: #330813

  [ Dhananjay Phadke ]

  * SAUCE: (drop after 2.6.28) netxen: fix endianness in firmware commands
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: fix ipv6 offload and tx cleanup
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: fix link speed reporting for some
    boards
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: firmware init fix
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: cleanup mac list on driver unload
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: hold tx lock while sending firmware
    commands
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: handle dma mapping failures
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: avoid invalid iounmap
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: include ipv6.h (fixes build failure)
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: fix vlan tso/checksum offload
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: reduce memory footprint
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: revert jumbo ringsize
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: fix msi-x interrupt handling
    - LP: #330813
  * SAUCE: (drop after 2.6.28) netxen: remove pcie workaround
    - LP: #330813

  [ Hannes Eder ]

  * SAUCE: (drop after 2.6.28) drivers/net/netxen: fix sparse warnings: use
    NULL pointer instead of plain integer
    - LP: #330813

  [ Huaxu Wan ]

  * SAUCE: report rfkill changes event if interface is down
    - LP: #193970

  [ Tim Gardner ]

  * MV78XX0 must specify a target in the vars definition.

  [ Upstream Kernel Changes ]

  * Revert "ext4: wait on all pending commits in ext4_sync_fs()"
  * jbd2: Fix return value of jbd2_journal_start_commit()
  * jbd2: Avoid possible NULL dereference in
    jbd2_journal_begin_ordered_truncate()
  * ext4: Fix to read empty directory blocks correctly in 64k
  * ext4: Fix lockdep warning
  * ext4: Initialize preallocation list_head's properly
  * ext4: Implement range_cyclic in ext4_da_writepages instead of
    write_cache_pages
  * ext4: Fix NULL dereference in ext4_ext_migrate()'s error handling
  * ext4: Add fallback for find_group_flex
  * ext4: Fix deadlock in ext4_write_begin() and ext4_da_write_begin()

  [ Brad Figg ]

  * Added mv78xx0 flavor

 -- Tim Gardner <email address hidden> Fri, 06 Mar 2009 06:13:31 -0700

Changed in linux:
status: Fix Committed → Fix Released
Andy Whitcroft (apw) on 2009-03-10
Changed in linux:
status: In Progress → Fix Committed
Andy Whitcroft (apw) on 2009-03-10
description: updated
Tom Vetterlein (smbm) wrote :

I can confirm that this is fixed in the latest Jaunty kernel.

Cheers devs.

Martin Pitt (pitti) wrote :

Accepted intrepid into linux-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

pixolex (pixolex) wrote :

For me the bug still exists, in Intrepid, like before. I can't enable wi-fi after switch it off, even if the switch is off when booting.
Asus W5F - Intel WM3945abg

I can give more information about my system if any one find it useful.

Andrej Zirko (dixon85) wrote :

I've just enable proposed repository, updated and rebooted and the bug still persists for me in Intrepid. Running HP 6720s with intel 3945...

Andrew Ivanov (aa.ivanov) wrote :

I have similar observations:
- Enabled proposed
- Upgraded with the latest kernel, and modules available there
- Rebooted with the newer kernel
- Disabled wifi by engaging the killswitch
- Waited 30 - 40 sec and disengaged killswitch
- Wireless connection *was not* restored
- Rebooted again with killswitch engaged at boot time
- When my desktop loaded, I disengaged killswitch
- Wireless connection *was not* brought up

I'm running Toshiba Satelite A110-195, featuring intel 3945.
Please advise if/what further info is necessary.

Whoopie (whoopie79) wrote :

The kernel image is not yet in intrepid-proposed. Wait until it's built and you get an update, the needed package is linux-image-2.6.27-14-generic.

pixolex (pixolex) wrote :

I've just installed the linux-image-2.6.27-14-generic and all the other kernel packages, and the switch is not working like I reported in https://bugs.launchpad.net/ubuntu/+source/linux-ubuntu-modules-2.6.24/+bug/193970/comments/156

Andrew Ivanov (aa.ivanov) wrote :

I have just upgraded linux-image, linux-headers, and linux-restricted-modules to 2.6.27-14. So far I have followed the scenario I described in my comment above and killswitch has been working as expected. I'll continue to play with it later today and if the improbable happens, and something goes wrong, I'll be back complaining.

Cheers :)

dei (cephos) wrote :

So far the workaround with disabling network and reenabling it via nm-applet worked but,
now I just updated to kernel 2.6.27-14-generic and when i do it now I always encounter a kernel panic :-((. Any suggestion what could have caused this regression?

TiloBunt (til0) wrote :

Workaround for Acer Notebook user

to enable the wireless by configuring the file /etc/modprobe.d/options

Please follow this procedure:

Step 1: Open Terminal from "Applications->Accessories->
Terminal"

Step 2: Run the following command (copy-paste the line below to the
Terminal then hit <enter>)

Code:

sudo gedit /etc/modprobe.d/options

# add the following 2 lines to the end of the options file

Code:

options iwl3945 disable=0
options acer-wmi wireless=1

Step 3: Reboot pc and then retest the wireless

credit for this solution goes to Mark Rijckenberg , from this thread> https://answers.launchpad.net/ubuntu/+source/util-linux/+question/61864

On Tue, Apr 07, 2009 at 05:12:06AM -0000, TiloBunt wrote:
> Code:
>
> options iwl3945 disable=0
> options acer-wmi wireless=1

This sounds like bug 319825, which should be fixed (at least for some Acer
models) in current Jaunty.

--
 - mdz

sandos (sandos) wrote :

I could be wrong, but I don't think this is working properly for me in jaunty beta.

I have a touch-button on my hp6710b that enables/disables both wifi and bluetooh. In windows I have disabled wifi in addition to this, meaning the physical button only enables bluetooth atm. In this state my jaunty sees the wifi as disabled, which is correct. Is there no way to control the separate "soft" bt/wifi killswitches from within jaunty? The version for my kernel is 2.6.28-11.41

There is still a small problem regarding this bug in jaunty beta.
If I disable the wifi before suspend, when I resume it doesn't activate anymore.
The only solution is to:
rmmod iwlagn
modprobe iwlagn

It's better to open a new bug?

Motin (motin) wrote :

This is not fixed in Jaunty final, at least not for XPS M1330. After having the killswitch enabled (wifi disabled) when waking up from resume, I need to right-click network manager, deactive wireless, then activate it again. Only then the wireless LED lights up again and wireless networks are found. At times when doing this, kernel panic occurs, so I am not to fond of the workaround...

This is the same behavior that existed in Intrepid before the SRU that fixed in in the .27 kernel. This is a regression in other words.

@Matteo: Try right clicking as I described, it should work and is more convenient than rmmod.

Changed in linux (Ubuntu Jaunty):
status: Fix Released → Confirmed
dei (cephos) wrote :

For me (HP Pavilion dv2352ea's iwl3945) the bug is fixed in jaunty final. Completely, even when hibernating.

Thank you very much, whoever hacked/released the patch!

Martin Pitt (pitti) wrote :

This is also fixed for me (Dell Latitude D430).

Motin, can you please open a new bug with "ubuntu-bug linux"? I think this is fixed for most people, and this bug has many duplicates. Let's handle the remaining cases in a separate report, to avoid spamming so many people on this one. Thank you!

Changed in linux (Ubuntu Jaunty):
milestone: jaunty-alpha-5 → none
status: Confirmed → Fix Released
Motin (motin) wrote :

Sure thing. This may be a Dell XPS specific issue.

I found a typo in the hal killswitch scripts, affecting the dell-part of this script: Bug #368553

And have opened a new bug report for my specific case here: Bug #368556

pixolex (pixolex) wrote :

This bug persists for me in Jaunty final release.

07:00.0 Network controller [0280]: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection [8086:4222] (rev 02)
 Subsystem: Intel Corporation Device [8086:1001]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 32 bytes
 Interrupt: pin A routed to IRQ 2301
 Region 0: Memory at fe7ff000 (32-bit, non-prefetchable) [size=4K]
 Capabilities: <access denied>
 Kernel driver in use: iwl3945
 Kernel modules: iwl3945

Steve Beattie (sbeattie) on 2009-05-01
tags: added: hw-specific
thet (thet) wrote :

for me, the bug was fixed on jaunty until kernel 2.6.28-11. but since 2.6.28-12 the problem reappeared (but the package linux-restricted-modules-generic was not installed because the dependency to linux-restricted-modules-generic-2.6.28-12 can no be fulfilled).

the kill switch is not working as expected anymore: when booting with WIFI on, kill switch won't disable WIFI. only disabling network manager "enable wireless" will do that. ...

hardware:
- Acer TravelMate 3010
- Intel PRO/Wireless 3945ABG

cheers,
johannes raggam

Launchpad Janitor (janitor) wrote :
Download full text (27.1 KiB)

This bug was fixed in the package linux - 2.6.27-14.33

---------------
linux (2.6.27-14.33) intrepid-proposed; urgency=low

  [Stefan Bader]

  * Fix FTBS due to a mysteriously missing ABI directory.

linux (2.6.27-14.32) intrepid-proposed; urgency=low

  [Stefan Bader]

  * Rebuild of 2.6.27-14.30 with 2.6.27-11.31 security patches applied

linux (2.6.27-14.30) intrepid-proposed; urgency=low

  [ Alexey Starikovskiy ]

  * SAUCE: ACPI: EC: Limit workaround for ASUS notebooks even more
    - LP: #288385

  [ Huaxu Wan ]

  * SAUCE: report rfkill changes event if interface is down
    - LP: #193970

  [ Scott James Remnant ]

  * SAUCE: floppy: Provide a PnP device table in the module.
    - LP: #255651

  [ Steve Beattie ]

  * fix apparmor memory leak on deleted file ops
    - LP: #329489

  [ Stefan Bader ]

  * Revert "ACPI: Fix compiler warnings introduced by 32 to 64 bit acpi
    conversions"
    - LP: #337019
  * Revert "ACPI: Change acpi_evaluate_integer to support 64-bit on 32-bit
    kernels"
    - LP: #337019

  [ Upstream Kernel Changes ]

  * KVM: MMU: Add locking around kvm_mmu_slot_remove_write_access()
    - LP: #335097, #333409
  * ricoh_mmc: Handle newer models of Ricoh controllers
    - LP: #311932

linux (2.6.27-13.29) intrepid-proposed; urgency=low

  [ Colin Ian King ]

  * SAUCE: Bluetooth USB: fix kernel panic during suspend while streaming
    audio to bluetooth headset
    - LP: #331106, #322082

  [ Stefan Bader ]

  * Revert "SAUCE: Work around ACPI corruption upon suspend on some Dell
    machines." (replaced by stable update)
    - LP: #330200
  * Revert "SAUCE: Add back in lost commit for Apple BT Wireless Keyboard"
    (replaced by stable update)
    - LP: #330902

  [ Upstream Kernel Changes ]

  * Revert "vt: fix background color on line feed"
    - LP: #330200
  * ti_usb_3410_5052: support alternate firmware
    - LP: #231276
  * fuse: destroy bdi on umount
    - LP: #324921
  * fuse: fix missing fput on error
    - LP: #324921
  * fuse: fix NULL deref in fuse_file_alloc()
    - LP: #324921
  * inotify: clean up inotify_read and fix locking problems
    - LP: #324921
  * mac80211: decrement ref count to netdev after launching mesh discovery
    - LP: #324921
  * sysfs: fix problems with binary files
    - LP: #324921
  * x86, mm: fix pte_free()
    - LP: #324921
  * alpha: nautilus - fix compile failure with gcc-4.3
    - LP: #324921
  * it821x: Add ultra_mask quirk for Vortex86SX
    - LP: #324921
  * libata: pata_via: support VX855, future chips whose IDE controller use
    0x0571
    - LP: #324921
  * rtl8187: Add termination packet to prevent stall
    - LP: #324921
  * serial_8250: support for Sealevel Systems Model 7803 COMM+8
    - LP: #324921
  * SUNRPC: Fix a memory leak in rpcb_getport_async
    - LP: #324921
  * SUNRPC: Fix autobind on cloned rpc clients
    - LP: #324921
  * USB: fix char-device disconnect handling
    - LP: #324921
  * USB: storage: add unusual devs entry
    - LP: #324921
  * USB: usbmon: Implement compat_ioctl
    - LP: #324921
  * ALSA: hda - add another MacBook Pro 4, 1 subsystem ID
    - LP: #324921
  * ALSA: hda - Add quirk for HP DV6700 laptop
    - LP: #324921
  * ALSA: ...

Changed in linux (Ubuntu Intrepid):
status: Fix Committed → Fix Released
thet (thet) wrote :

i see. since i got linux-restricted-modules-generic-2.6.28-12 via apt WIFI works fine again! :)

Thespian (jesse-mundis) wrote :

Adding to the data for this bug.

It still shows up on Hardy 8.04 kernel: 2.6.24-24-generic
fully patched.

on a Compaq 8710p laptop with iwl4965

I _don't_ have the backport package installed.

 " dpkg --list | grep backport" yields nothing.

Symptoms and description are as others have reported. The "hard" switch on this laptop is along a touch-bar above the function keys. In Windows XP, it lights up when on, and goes out when off, and correctly toggles the wifi/bluetooth. In Ubuntu, once wifi is turned off via the switch, nothing seems to wake the wifi back up. Even after a reboot, the wifi antenna remains offline.

/var/log/messages just shows:

Jun 28 18:02:47 laptop kernel: [ 136.685170] iwl4965: Radio Frequency Kill Switch is On:
Jun 28 18:02:47 laptop kernel: [ 136.685173] Kill switch must be turned off for wireless networking to work.

but pushing the touch bar switch doesn't help without the modprobe fix described.

I've been able to boot into XP (as a previous poster described) and use the "HP wireless assistant" pop-up to fix it, and after finding this thread, I have a work-around in ubuntu:

hit the wireless button, then do
 sudo modprobe -r iwl4965
 sudo modprobe iwl4965

But it would be nice to have this fix propagated to Hardy 8.04. I'd rather not have to upgrade distros just to get this fix. Any chance this can get into the next release for Hardy, or if someone could point me to a patch I could manually apply just for this? Reading through the comments above, I'm not entirely clear that I understand the root cause of the problem, or the nature of the fix in Jaunty. There is some mention of "hal" as well as a few other components. A clear pointer to the problem and the fix would be greatly appreciated.

Thanks, and please let me know if there is other information I can provide about my hardware that would be of use.

thet (thet) wrote :

since upgrade to kernel 2.6.28-14 yesterday and 2.6.28-15 today (ubuntu 9.04), the wlan switch again does not work anymore - despite the linux-restricted-modules-xxx are installed. (it worked with 2.6.28-13)

from /var/log/messages:
XXX kernel: [ 752.989043] iwl3945: Radio Frequency Kill Switch is On:
XXX kernel: [ 752.989046] Kill switch must be turned off for wireless networking to work.

Michael Doube (michael-doube) wrote :

This bug is still present on Karmic alpha 6 on my Sony Vaio SZ650 (Intel 4965 / iwlagn). If I shut down (or suspend, I think) with an enabled killswitch, then boot (or resume), I cannot get my wifi to work until I reboot with the killswitch disabled. The killswitch works properly if I use it within a session. Since this is such an old bug, I am posting here, though can make a new bug if someone thinks each case has to be handled separately.

rsoika (ralph-soika) wrote :

After upgrade from 9.04 (2.6.28-16) to 9.10 (2.6.31.14) I have same problem.
When wlan switch is off before booting I am able to activate wlan successfully inside a session. But if I boot with enabled wlan switch - wlan will not work and I can not disable/enable wlan settings
Dell Vostro 1520

illario (illario) wrote :

The same problem is on SONY VAIO VGN-SZ7 after upgrade from 9.04 (2.6.28-16) to 9.10 (2.6.31.14).

2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux
iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux, 1.2.26ks

rsoika (ralph-soika) wrote :

I can reactivate the wlan with the following command
>sudo modprobe dell_laptop
>sudo rmmod dell_laptop

the problem still affects me on an Acer Travelmate 292,
9.10 (2.6.31-17)
02:02.0 Network controller: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection (rev 05)

superlex (e-lex) wrote :

Linux 2.6.32-13-generic #18-Ubuntu SMP Fri Feb 12 11:03:56 UTC 2010 x86_64 GNU/Linux, this bug affects me to, and the solution does not work.

This bug is similar https://bugs.launchpad.net/ubuntu/+source/linux/+bug/365321

06:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)

Paul Gear (paulgear) wrote :

This bug affects me on a Dell Latitude D830 on karmic with a 4965 AGN card. Uname output:
Linux 2.6.32-22-generic #60-Ubuntu SMP Thu May 27 02:41:03 UTC 2010 x86_64 GNU/Linux.

Changed in mandriva:
importance: Unknown → Medium
Changed in mandriva:
status: Confirmed → Unknown
Displaying first 40 and last 40 comments. View all 183 comments or add a comment.